Fce & Imac

Discussion in 'iMac' started by poniator, Dec 14, 2009.

  1. poniator macrumors newbie

    Joined:
    Dec 13, 2009
    #1
    Why oh why won't the new 21.5 base IMAC load up the final cut express program. My old EMAC took the program easily; now I'm told I need another chip. What's the story? More power, less capabilities?
     
  2. knewsom macrumors 6502a

    Joined:
    Jun 9, 2005
    #2
    are you using the same install disc that you used on your emac?
     
  3. poniator thread starter macrumors newbie

    Joined:
    Dec 13, 2009
    #3
    Yes. It's the 2.1 version. Tell me that I need to buy the new 4 version.

    Bob
     
  4. knewsom macrumors 6502a

    Joined:
    Jun 9, 2005
    #4
    Which version you decide to run is up to you. But you either need to install Rosetta in order to run a program intended only for PPC machines on an Intel Mac, OR you need to upgrade to a newer version of FCE.
     
  5. poniator thread starter macrumors newbie

    Joined:
    Dec 13, 2009
    #5
    fce and Imac

    Knewsome...

    I researched all of your help comment. FCE version 2 won't install in IMAC: Rosetta won't help me. Graphics card AGP might not work either and expensive. Right now, I'm told that FCE 4 upgrade will go over version 2 and put me in business. Right? $ 99 upgrade, better than whole new FCE Full install at $199. So far so good?

    Bob
     
  6. knewsom macrumors 6502a

    Joined:
    Jun 9, 2005
    #6
    Tricky thing there is, I'm not so sure that the ugrade will work for you - you might have to have version 2 INSTALLED in order to run the update. Ask a genius at the store about this and have them guarantee your purchase in case it doesn't work. Most of Apple's products do NOT act this way, but you're better safe than sorry.

    good luck mate.
     

Share This Page